Bug 1416615 - Failed to mount with Azure File share
Summary: Failed to mount with Azure File share
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: hchen
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 03:18 UTC by Wenqi He
Modified: 2017-02-01 15:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 15:32:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1409737 None CLOSED Docker-registry pod cannot read/write to AzureFile volume 2018-07-23 18:36:21 UTC

Description Wenqi He 2017-01-26 03:18:46 UTC
Description of problem:
OCP filed to mount with Azure file share of errors "Could not resolve address..."

Version-Release number of selected component (if applicable):
openshift v3.5.0.6+87f6173
kubernetes v1.5.2+43a9be4


How reproducible:
Always

Steps to Reproduce:
1. Create a secret
2. Create a File share on storage account on the Web called "azftest"
3. Create a pod
oc create -f https://raw.githubusercontent.com/weherdh/v3-testfiles/azsc/persistent-volumes/azure/azfile-pod.yaml


Actual results:
Got error with mount failed

Expected results:
Pod could be running and mounted successfully with Azure file share

Additional info:
Will provide in another comment


Note You need to log in before you can comment on or make changes to this bug.